package org.springblade.smartapplication.smartmonitor.constant;

/**
 * @author zwx
 * @create 2021/5/11 16:40
 */
public interface ZHConstant {


    enum I8H {
        person_stat("frmPersonSmartRecords", 0,"人员统计"),
        add_user_face("frmFacePicture", 0,"添加用户人脸"),
		delete_user_face("frmFacePicture", 1, "删除用户人脸"),
		update_user_face("frmFacePicture", 4, "更新用户人脸"),
		get_door_status("frmAlarmOut", 3, "获取工作状态"),
		open_door("frmAlarmOut", 6, "远程开门");

        private String command;
        private Integer type;
        private String desc;

        I8H(String command, Integer type, String desc){
            this.command = command;
            this.type = type;
            this.desc = desc;
        }

        public String getCommand(){
            return this.command;
        }
        public Integer getType(){
            return this.type;
        }
    }

}
